# class SISLangRecord

A simple language record, only containing the epoc specific 16 bit language number. More...

Definition | `#include <sislangrecord.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SisRC fillFrom (uint8_t* buf, int* base, off_t len)

#### Public Members

- uint16_t m_lang

## Detailed Description

A simple language record, only containing the epoc specific 16 bit language number.

SisRC fillFrom (uint8_t* buf, int* base, off_t len)

### fillFrom

Populate the fields.

Parameters:

buf | The buffer to read from.
base | The index to start reading from, which is updated when the record is successfully read.
len | The length of the buffer.

uint16_t m_lang

### m_lang

Generated by: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.